#!/usr/local/bin/python

import sys, os
sys.path.append(os.environ.get('ZOPE_HOME', '../../..') + '/lib/python')
import unittest, Zope, time, re, string

class HTMLDocumentTestCase(unittest.TestCase):
  def setUp(self):
    self.app = Zope.app()
    self.app.manage_addProduct['HTMLDocument']\
      .addHTMLDocument('doc', file=open('test1.html').read())
    self.doc = self.app.doc

  def tearDown(self):
    self.app._p_jar.close()

  def testUploads(self):
    s = '<html><body>toto</body></html>'
    self.doc.manage_upload(s)
    self.assertEqual(self.app.doc.PrincipiaSearchSource(), 'toto')
    self.assertEqual(self.app.doc.html_src, s)
    self.assertEqual(self.app.doc.manage_FTPget(), s)
    self.assertEqual(self.app.doc.document_src(), s)

    s = '<html><body>titi</body></html>'
    self.doc.manage_edit(data=s, title='title')
    self.assertEqual(self.app.doc.PrincipiaSearchSource(), 'titi')
    self.assertEqual(self.app.doc.title, 'title')
    self.assertEqual(self.app.doc.html_src, s)
    self.assertEqual(self.app.doc.manage_FTPget(), s)
    self.assertEqual(self.app.doc.document_src(), s)

  #def testRender(self):
  #  t = time.time()
  #  s = '<html><body>%s</body></html>' % t
  #  self.doc.manage_edit(data=s)
  #  res = Zope.debug('/doc')
  #  self.assert_(string.count(t, res))

  # XXX: PUT needs REQUEST and RESPONSE
  #def testFTP(self):
  #  s = '<html><body>tata</body></html>'
  #  self.doc.PUT(s)
  #  get_res = self.doc.manage_FTPget()
  #  self.assertEqual(get_res, s)

  #def testCreateWikiTTW(self):
  #  Zope.debug('/manage_addProduct/nuxwiki/zwikipageAdd?id=zwikitest2',
  #    u='sfsf:sfsf', s='silent')

if __name__ == '__main__':
  unittest.main()

# vim:ts=2:et
